<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Empleados
 *
 * @ORM\Table(name="empleados", indexes={@ORM\Index(name="estatus", columns={"estatus"}), @ORM\Index(name="cve_plantel", columns={"cve_plantel"})})
 * @ORM\Entity
 */
class Empleados
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_emp", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideEmp;

    /**
     * @var integer
     *
     * @ORM\Column(name="rol_emp", type="integer", nullable=false)
     */
    private $rolEmp;

    /**
     * @var string
     *
     * @ORM\Column(name="identificador", type="string", length=100, nullable=false)
     */
    private $identificador;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_emp", type="string", length=20, nullable=false)
     */
    private $cveEmp;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_emp", type="string", length=50, nullable=false)
     */
    private $nomEmp;

    /**
     * @var string
     *
     * @ORM\Column(name="ape_pat", type="string", length=50, nullable=false)
     */
    private $apePat;

    /**
     * @var string
     *
     * @ORM\Column(name="ape_mat", type="string", length=50, nullable=false)
     */
    private $apeMat;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ing", type="date", nullable=false)
     */
    private $fecIng;

    /**
     * @var string
     *
     * @ORM\Column(name="cargo", type="string", length=500, nullable=false)
     */
    private $cargo;

    /**
     * @var string
     *
     * @ORM\Column(name="pass", type="string", length=500, nullable=false)
     */
    private $pass;

    /**
     * @var string
     *
     * @ORM\Column(name="cam_pass", type="string", length=2, nullable=false)
     */
    private $camPass;

    /**
     * @var string
     *
     * @ORM\Column(name="telefono", type="string", length=20, nullable=false)
     */
    private $telefono;

    /**
     * @var string
     *
     * @ORM\Column(name="correo", type="string", length=50, nullable=false)
     */
    private $correo;

    /**
     * @var string
     *
     * @ORM\Column(name="calle", type="string", length=500, nullable=false)
     */
    private $calle;

    /**
     * @var string
     *
     * @ORM\Column(name="col_loc", type="string", length=500, nullable=false)
     */
    private $colLoc;

    /**
     * @var string
     *
     * @ORM\Column(name="mun_del", type="string", length=500, nullable=false)
     */
    private $munDel;

    /**
     * @var string
     *
     * @ORM\Column(name="edo", type="string", length=500, nullable=false)
     */
    private $edo;

    /**
     * @var string
     *
     * @ORM\Column(name="cp", type="string", length=15, nullable=false)
     */
    private $cp;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Estatus
     *
     * @ORM\ManyToOne(targetEntity="Estatus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="estatus", referencedColumnName="ide_est")
     * })
     */
    private $estatus;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_plantel", referencedColumnName="ide_pla")
     * })
     */
    private $cvePlantel;



    /**
     * Get ideEmp
     *
     * @return integer
     */
    public function getIdeEmp()
    {
        return $this->ideEmp;
    }

    /**
     * Set rolEmp
     *
     * @param integer $rolEmp
     *
     * @return Empleados
     */
    public function setRolEmp($rolEmp)
    {
        $this->rolEmp = $rolEmp;
    
        return $this;
    }

    /**
     * Get rolEmp
     *
     * @return integer
     */
    public function getRolEmp()
    {
        return $this->rolEmp;
    }

    /**
     * Set identificador
     *
     * @param string $identificador
     *
     * @return Empleados
     */
    public function setIdentificador($identificador)
    {
        $this->identificador = $identificador;
    
        return $this;
    }

    /**
     * Get identificador
     *
     * @return string
     */
    public function getIdentificador()
    {
        return $this->identificador;
    }

    /**
     * Set cveEmp
     *
     * @param string $cveEmp
     *
     * @return Empleados
     */
    public function setCveEmp($cveEmp)
    {
        $this->cveEmp = $cveEmp;
    
        return $this;
    }

    /**
     * Get cveEmp
     *
     * @return string
     */
    public function getCveEmp()
    {
        return $this->cveEmp;
    }

    /**
     * Set nomEmp
     *
     * @param string $nomEmp
     *
     * @return Empleados
     */
    public function setNomEmp($nomEmp)
    {
        $this->nomEmp = $nomEmp;
    
        return $this;
    }

    /**
     * Get nomEmp
     *
     * @return string
     */
    public function getNomEmp()
    {
        return $this->nomEmp;
    }

    /**
     * Set apePat
     *
     * @param string $apePat
     *
     * @return Empleados
     */
    public function setApePat($apePat)
    {
        $this->apePat = $apePat;
    
        return $this;
    }

    /**
     * Get apePat
     *
     * @return string
     */
    public function getApePat()
    {
        return $this->apePat;
    }

    /**
     * Set apeMat
     *
     * @param string $apeMat
     *
     * @return Empleados
     */
    public function setApeMat($apeMat)
    {
        $this->apeMat = $apeMat;
    
        return $this;
    }

    /**
     * Get apeMat
     *
     * @return string
     */
    public function getApeMat()
    {
        return $this->apeMat;
    }

    /**
     * Set fecIng
     *
     * @param \DateTime $fecIng
     *
     * @return Empleados
     */
    public function setFecIng($fecIng)
    {
        $this->fecIng = $fecIng;
    
        return $this;
    }

    /**
     * Get fecIng
     *
     * @return \DateTime
     */
    public function getFecIng()
    {
        return $this->fecIng;
    }

    /**
     * Set cargo
     *
     * @param string $cargo
     *
     * @return Empleados
     */
    public function setCargo($cargo)
    {
        $this->cargo = $cargo;
    
        return $this;
    }

    /**
     * Get cargo
     *
     * @return string
     */
    public function getCargo()
    {
        return $this->cargo;
    }

    /**
     * Set pass
     *
     * @param string $pass
     *
     * @return Empleados
     */
    public function setPass($pass)
    {
        $this->pass = $pass;
    
        return $this;
    }

    /**
     * Get pass
     *
     * @return string
     */
    public function getPass()
    {
        return $this->pass;
    }

    /**
     * Set camPass
     *
     * @param string $camPass
     *
     * @return Empleados
     */
    public function setCamPass($camPass)
    {
        $this->camPass = $camPass;
    
        return $this;
    }

    /**
     * Get camPass
     *
     * @return string
     */
    public function getCamPass()
    {
        return $this->camPass;
    }

    /**
     * Set telefono
     *
     * @param string $telefono
     *
     * @return Empleados
     */
    public function setTelefono($telefono)
    {
        $this->telefono = $telefono;
    
        return $this;
    }

    /**
     * Get telefono
     *
     * @return string
     */
    public function getTelefono()
    {
        return $this->telefono;
    }

    /**
     * Set correo
     *
     * @param string $correo
     *
     * @return Empleados
     */
    public function setCorreo($correo)
    {
        $this->correo = $correo;
    
        return $this;
    }

    /**
     * Get correo
     *
     * @return string
     */
    public function getCorreo()
    {
        return $this->correo;
    }

    /**
     * Set calle
     *
     * @param string $calle
     *
     * @return Empleados
     */
    public function setCalle($calle)
    {
        $this->calle = $calle;
    
        return $this;
    }

    /**
     * Get calle
     *
     * @return string
     */
    public function getCalle()
    {
        return $this->calle;
    }

    /**
     * Set colLoc
     *
     * @param string $colLoc
     *
     * @return Empleados
     */
    public function setColLoc($colLoc)
    {
        $this->colLoc = $colLoc;
    
        return $this;
    }

    /**
     * Get colLoc
     *
     * @return string
     */
    public function getColLoc()
    {
        return $this->colLoc;
    }

    /**
     * Set munDel
     *
     * @param string $munDel
     *
     * @return Empleados
     */
    public function setMunDel($munDel)
    {
        $this->munDel = $munDel;
    
        return $this;
    }

    /**
     * Get munDel
     *
     * @return string
     */
    public function getMunDel()
    {
        return $this->munDel;
    }

    /**
     * Set edo
     *
     * @param string $edo
     *
     * @return Empleados
     */
    public function setEdo($edo)
    {
        $this->edo = $edo;
    
        return $this;
    }

    /**
     * Get edo
     *
     * @return string
     */
    public function getEdo()
    {
        return $this->edo;
    }

    /**
     * Set cp
     *
     * @param string $cp
     *
     * @return Empleados
     */
    public function setCp($cp)
    {
        $this->cp = $cp;
    
        return $this;
    }

    /**
     * Get cp
     *
     * @return string
     */
    public function getCp()
    {
        return $this->cp;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Empleados
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Empleados
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set estatus
     *
     * @param \CmBundle\Entity\Estatus $estatus
     *
     * @return Empleados
     */
    public function setEstatus(\CmBundle\Entity\Estatus $estatus = null)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return \CmBundle\Entity\Estatus
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cvePlantel
     *
     * @param \CmBundle\Entity\Planteles $cvePlantel
     *
     * @return Empleados
     */
    public function setCvePlantel(\CmBundle\Entity\Planteles $cvePlantel = null)
    {
        $this->cvePlantel = $cvePlantel;
    
        return $this;
    }

    /**
     * Get cvePlantel
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePlantel()
    {
        return $this->cvePlantel;
    }
}
